/* ev_c.h */

#ifndef EV_C_H
#define EV_C_H

/* 2d */

void startPage(double, double);
void setColor(unsigned char, unsigned char, unsigned char);
void drawLine(double, double, double, double);
void fillPolygon(int, const double *, const double *);
void drawString(double, double, double, const char *);
void gradPolygon(int, const double *, const double *,
                 const unsigned char *, const unsigned char *, const unsigned char *);
void drawEllipse(double, double, double, double);
void fillEllipse(double, double, double, double);
void setColorNo(int);
void drawRect(double, double, double, double);
void fillRect(double, double, double, double);
void drawPolyline(int, const double *, const double *);
void drawPolygon(int, const double *, const double *);
void evGrid(double, double, double, double, int, int);
void evArrow(double, double, double, double);
void evColors(double, double, double, double, int, int);
void evFunc1(int, const double *, double, double, double, double, double, double);
void evFunc2(int, const double *, const double *, double, double, double, double, double, double);
void evContour1(int, int, const double *, double, double,
                int, double, double, double, double);
void evContour2(int, int, const double *, const double *, const double *, double, double,
                int, double, double, double, double);

/* 3d */

void ev3Page(void);
void ev3Vertex1(int, double (*)[3], const int *);
void ev3Vertex2(int, double (*)[3], unsigned char (*)[3]);
void ev3Polygon1(int, double (*)[3], int);
void ev3Polygon2(int, double (*)[3], const unsigned char [3]);
void ev3Line1(double, double, double, double, double, double, int);
void ev3Line2(double, double, double, double, double, double, const unsigned char [3]);
void ev3Index(int);

#endif
